View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000025Ecere SDKcompilerpublic2008-04-11 07:342012-03-29 07:50
Reporteripluss 
Assigned Tojerome 
PriorityhighSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000025: Can not use va_arg() when process "..." parameter
Description#include <stdarg.h>

void xxx ( int command, ...)
{

va_list args;
va_start( args, command );
ips = va_arg( args, char * ); //will cause a syntax error
ports = va_arg( args, int);
va_end( args );

}

TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2008-04-11 07:34 ipluss New Issue
2008-04-11 13:36 jerome Status new => assigned
2008-04-11 13:36 jerome Assigned To => jerome
2008-05-02 01:04 jerome Priority normal => high
2008-05-02 01:04 jerome Additional Information Updated
2008-05-07 19:22 jerome Status assigned => resolved
2008-05-07 19:22 jerome Resolution open => fixed
2009-05-03 03:44 jerome Status resolved => closed
2010-07-25 21:57 redj Relationship added child of 0000433
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker